<?php
// ----------------------------------------------------------------------
// Copyright (c) 2002-2003 Shawn McKenzie
// http://spidean.mckenzies.net
// ----------------------------------------------------------------------
// LICENSE
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License (GPL)
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// To read the license please visit http://www.gnu.org/copyleft/gpl.html
// ----------------------------------------------------------------------

function atPlatformInit()
{
    $GLOBALS['postnuke_theme'] = true;

    return array();
}

function atGetHomeMod()
{
    return pnConfigGetVar('startpage');
}

function atIsHomePage()
{
    if (eregi("index.php", $_SERVER['PHP_SELF']) && !isset($_GET['module']) && !isset($_GET['name'])) {
        return true;
    }
    else {
        return false;
    }
}

function atIsAdminUser()
{
    if (pnSecAuthAction(0, '::', '::', ACCESS_ADMIN)) {
        return true;
    }
    else {
        return false;
    }
}

function atIsLoggedIn()
{
    if (pnUserLoggedIn()) {
        return true;
    }
    else {
        return false;
    }
}

function atGetUserName()
{
    if (!atIsLoggedIn()) {
        if (defined('_GUEST')) {
            $username = _GUEST;
        }
        else {
            $username = "";
        }
    }
    else {
        $username = pnUserGetVar('uname');
    }
    return $username;
}

function atGetModType()
{
    $type = "";

    if (eregi("admin.php", $_SERVER['PHP_SELF'])) {
        $type = "admin";
    }
    elseif (eregi("index.php", $_SERVER['PHP_SELF']) && isset($_GET['type'])) {
        $type = $_GET['type'];
    }
    elseif (eregi("user.php", $_SERVER['PHP_SELF'])) {
        $type = "user";
    }
    return $type;
}

function atGetModName()
{
    return pnModGetName();
}

function atGetLang()
{
    return pnUserGetLang();
}

function atModLangLoad($type)
{
    $lang = atGetLang();
    $platform = atGetPlatform();

    if (@file_exists("modules/AutoTheme/includes/$platform/lang/$lang/$type.php")) {
        @include("modules/AutoTheme/includes/$platform/lang/$lang/$type.php");
    }
    else {
        @include("modules/AutoTheme/includes/$platform/lang/eng/$type.php");
    }
}

function atThemeLangLoad($themepath)
{
    $lang = atGetLang();

    if (@file_exists("$themepath/lang/$lang/global.php")) {
        @include("$themepath/lang/$lang/global.php");
    }
    else {
        @include("$themepath/lang/eng/global.php");
    }
}

function atBlockDisplay($location="", $title="")
{
	blocks($location);
}

?>
